[Fix] Hulu working + Flash.apk April 22

rcxquake

Senior Member
Mar 4, 2010
89
2
0
This is a modified flash apk file that enables you to watch hulu on your rooted, froyo-running android device. It is my project to return to the community. Please only use this fix if you know what you are doing, as I am not responsible for anything that happens to your phone.

Instructions:
1.) UNINSTALL FLASH
2.) Download the .apk
3.) adb install flash_fixed.apk (or your preferred method of installing the .apk)
4.) Set your user agent to something other than a mobile device (search for ABOUT: DEBUG if you don't know what I am talking about)
5.) watch hulu!

Please Note: I cannot do anything to fix any lag or stuttering you may experience. One fix you may try is overclocking (at your own risk, of course).

Changelog:
April 22 - Updated to Version 10.2.156.12
November 13- Updated to Version 10.1.105.6
September 24- Updated to Version 10.1.95.2
August 26- Updated to Version 10.1.92.8
June 17- Updated to Version 10.1.72.7
June 09- Updated to Version 10.1.72.4

Enjoy!
 

Attachments

Last edited:

gerizafa

Senior Member
Jun 30, 2009
54
7
0
Portland
needs to say that it's a newer version

Hulu is saying:

"Hulu requires Flash Player 10.0.22 or higher. Please download and install the latest version of Flash Player before continuing."
 

chromiumcloud

Senior Member
May 24, 2010
158
12
0
thanks!

thanks!
For those like me that are programming impaired, here's how to install an APK the easy way:
wXw.brighthub.cXm/mobile/google-android/articles/37151.aspx (replace the XXXX's as I'm a newb and restricted).
In the market look for "installer" by Jiang (It is one that works on Froyo).

Update: it seems 2B working for me. Dam Zulu, why do they make it so difficult to watch their commercials (and programming)?
 
Last edited:

godjunior

Senior Member
Apr 4, 2008
56
5
0
Hulu is saying:

"Hulu requires Flash Player 10.0.22 or higher. Please download and install the latest version of Flash Player before continuing."
rcxquake, i didn't receive any error msg when installing your fixed apk, but i still got the same msg that gerizafa got.
 

rcxquake

Senior Member
Mar 4, 2010
89
2
0
As far as I know, it shouldn't require root. It does, however, require froyo obviously.

You said flash isn't installed JareduPS? How is flash not installed if you didn't get in error in step 3?
 

rcxquake

Senior Member
Mar 4, 2010
89
2
0
To those getting an error: try this. Go to settings -> application settings -> check the box next to "Unknown sources". This might actually require root. I am not familiar with non-rooted phones, sorry.
 

mikecyber

Member
Sep 15, 2009
45
0
0
Wee! Yay! Thank You!
The tech blogs come here on their own, and the gig will be up again soon. In the mean time, let's keep our mouths shut on this one.
 

JareduPS

Member
Jul 13, 2009
37
0
0
As far as I know, it shouldn't require root. It does, however, require froyo obviously.

You said flash isn't installed JareduPS? How is flash not installed if you didn't get in error in step 3?
I do have FroYo, but I haven't got around to re-rooting after coming off Cyanogen.

I had the original 10.1 beta installed; uninstalled that, installed yours; went to browser, turned to android, then back to desktop, tried hulu & youtube, says that flash player isn't installed; uninstalled; downloaded installer, rebooted phone, reinstalled your apk, and thus-far no luck.

I think I'm going to try rooting it really quick (since I need to do that anyway) and see if that has any results.
 

SBS_

Senior Member
Jul 13, 2007
506
19
0
Bergen
Didn't work on my N1 which is non-rooted. After I installed it I only get "You need to upgrade your Adobde flash player" on Youtube. Worked fine again when I uninstalled it and installed the one from market again.